- [HTTP request](https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/getBalanceAndLimits#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/getBalanceAndLimits#body.request_body)
  - [JSON representation](https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/getBalanceAndLimits#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/getBalanceAndLimits#body.response_body)
- [GetBalanceAndLimitsResponse](https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/getBalanceAndLimits#GetBalanceAndLimitsResponse)
  - [JSON representation](https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/getBalanceAndLimits#GetBalanceAndLimitsResponse.SCHEMA_REPRESENTATION)
- [GetBalanceAndLimitsResult](https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/getBalanceAndLimits#GetBalanceAndLimitsResult)
  - [JSON representation](https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/getBalanceAndLimits#GetBalanceAndLimitsResult.SCHEMA_REPRESENTATION)
- [GetBalanceAndLimitsSuccess](https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/getBalanceAndLimits#GetBalanceAndLimitsSuccess)
  - [JSON representation](https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/getBalanceAndLimits#GetBalanceAndLimitsSuccess.SCHEMA_REPRESENTATION)

Initiates a request for the current account balance associated with the association ID provided in the request. The return value contains the current balance and transaction limit data for the account.

If the endpoint encounters an error while processing the request, the response body from this endpoint should be of type `https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/ErrorResponse`.

An example request looks like:


    {
      "requestHeader": {
        "protocolVersion": {
          "major": 1,
          "minor": 1,
          "revision": 0
        },
        "requestId": "G112YZH4XPDV88J",
        "requestTimestamp": "1481907920000"
      },
      "associationId": "LmddbXBsZSByZWZlcmVuY2UgdG9rZW4gdmFsdWU_"
    }

An example response looks like:


    {
      "responseHeader": {
        "responseTimestamp": "1481900013178"
      },
      "result": {
        "success": {
          "currentBalance": {
            "amountMicros": "51000000",
            "currencyCode": "USD"
          },
          "transactionMaxLimit": {
            "amountMicros": "100000000",
            "currencyCode": "USD"
          },
          "transactionMinLimit": {
            "amountMicros": "500000",
            "currencyCode": "USD"
          },
          "remainingDailyLimit": {
            "amountMicros": "200000000",
            "currencyCode": "USD"
          },
          "remainingMonthlyLimit": {
            "amountMicros": "3000000000",
            "currencyCode": "USD"
          }
        }
      }
    }

### HTTP request

`POST https://www.integratorhost.example.com/integrator-base-path/e-wallets-v1/getBalanceAndLimits`

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requestHeader": { object (`https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/RequestHeader`) }, "associationId": string } ``` |

| Fields ||
|---|---|
| `requestHeader` | ``object (`https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/RequestHeader`)`` **REQUIRED**: Common header for all requests. |
| `associationId` | `string` **REQUIRED** : The associationId of the user's account, originally provided in the `associateAccount()` call during account linking. |

### Response body

This method supports multiple return types. For additional information about what 4XX or 5XX HTTP status code to return with an `ErrorResponse`, consult the `ErrorResponse` object and [HTTP status codes documentation](https://developers.google.com/pay/e-wallets-v1/guides/connectivity/protocol-standards#http_status_codes).

| Possible response messages ||
|---|---|
| HTTP 200 Status | ``object (`https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/getBalanceAndLimits#GetBalanceAndLimitsResponse`)`` |
| HTTP 4XX / 5XX Status | ``object (`https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/ErrorResponse`)`` |
| End of mutually exclusive fields. ||

## GetBalanceAndLimitsResponse

Response object for the get balance and limits method.

| JSON representation |
|---|
| ``` { "responseHeader": { object (`https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/ResponseHeader`) }, "result": { object (`https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/getBalanceAndLimits#GetBalanceAndLimitsResult`) } } ``` |

| Fields ||
|---|---|
| `responseHeader` | ``object (`https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/ResponseHeader`)`` **REQUIRED**: Common header for all responses. |
| `result` | ``object (`https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/getBalanceAndLimits#GetBalanceAndLimitsResult`)`` **REQUIRED**: The result of the e-wallets-v1.getBalanceAndLimits call. |

## GetBalanceAndLimitsResult

Result codes for `e-wallets-v1.getBalanceAndLimits`.

| JSON representation |
|---|
| ``` { // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "success": { object (`https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/getBalanceAndLimits#GetBalanceAndLimitsSuccess`) }, "accountClosed": { object (`https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/Empty`) }, "accountClosedAccountTakenOver": { object (`https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/Empty`) }, "accountClosedFraud": { object (`https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/Empty`) } // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| **REQUIRED** : The result of the `GetBalanceAndLimits` call. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `success` | ``object (`https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/getBalanceAndLimits#GetBalanceAndLimitsSuccess`)`` Details if the request completed successfully. |
| `accountClosed` | ``object (`https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/Empty`)`` User's account held with the integrator has been closed. |
| `accountClosedAccountTakenOver` | ``object (`https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/Empty`)`` User's account with the integrator has been closed, suspected account take over. |
| `accountClosedFraud` | ``object (`https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/Empty`)`` User's account held with the integrator has been closed because of fraud. |
| End of mutually exclusive fields. ||

## GetBalanceAndLimitsSuccess

Details of a successful api call.

| JSON representation |
|---|
| ``` { "currentBalance": { object (`https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/Amount`) }, "transactionMaxLimit": { object (`https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/Amount`) }, "transactionMinLimit": { object (`https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/Amount`) }, "remainingDailyLimit": { object (`https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/Amount`) }, "remainingMonthlyLimit": { object (`https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/Amount`) } } ``` |

| Fields ||
|---|---|
| `currentBalance` | ``object (`https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/Amount`)`` **REQUIRED**: The user's current balance, in micros. |
| `transactionMaxLimit` | ``object (`https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/Amount`)`` **OPTIONAL**: The user's limit per transaction, in micros. |
| `transactionMinLimit` | ``object (`https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/Amount`)`` **OPTIONAL**: The minimum allowable transaction amount, in micros. |
| `remainingDailyLimit` | ``object (`https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/Amount`)`` **OPTIONAL**: The amount available to the user before reaching daily transaction limits, in micros. |
| `remainingMonthlyLimit` | ``object (`https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/Amount`)`` **OPTIONAL**: The amount available to the user before reaching monthly transaction limits, in micros. |